Menu

## Footnotes_Convert

convert.php : 17

Converts data types and Footnotes specific values.

##### Tags

since
  1.5.0

### Table of Contents

debug() : void
  Displays a Variable.
get_arrow() : array<string|int, mixed>|string
  Get a html Array short code depending on Arrow-Array key index.
index() : string
  Converts a integer into the user-defined counter style for the footnotes.
to_bool() : bool
  Converts a string depending on its value to a boolean.
to_arabic_leading() : string
  Converts an integer to a leading-0 integer.
to_latin() : string
  Converts an integer into latin ascii characters, either lower or upper-case.
to_romanic() : string
  Converts an integer to a romanic letter.

### Methods

#### debug()

convert.php : 196

Displays a Variable.

`public static debug(mixed $p_mixed_value) : void`

##### Parameters

$p_mixed_value : mixed

  The variable to display.

##### Tags

since
  1.5.0

##### Return values

void —

#### get_arrow()

convert.php : 172

Get a html Array short code depending on Arrow-Array key index.

`public static get_arrow([int $p_int_index = -1 ]) : array<string|int, mixed>|string`

##### Parameters

$p_int_index : int = -1

  Index representing the Arrow. If empty all Arrows are specified.

##### Tags

since
  1.3.2

##### Return values

array<string|int, mixed>|string —

Array of all Arrows if Index is empty otherwise html tag of a specific arrow.

#### index()

convert.php : 30

Converts a integer into the user-defined counter style for the footnotes.

`public static index(int $p_int_index[, string $p_str_convert_style = 'arabic_plain' ]) : string`

##### Parameters

$p_int_index : int

  Index to be converted.

$p_str_convert_style : string = 'arabic_plain'

  Style of the new/converted Index.

##### Tags

since
  1.5.0
since
  2.2.0

  lowercase Roman numerals supported

##### Return values

string —

Converted Index as string in the defined counter style.

Edited:

#### to_bool()

convert.php : 149

Converts a string depending on its value to a boolean.

`public static to_bool(string $p_str_value) : bool`

##### Parameters

$p_str_value : string

  String to be converted to boolean.

##### Tags

since
  1.0-beta

##### Return values

bool —

Boolean representing the string.

#### to_arabic_leading()

convert.php : 87

Converts an integer to a leading-0 integer.

`private static to_arabic_leading(int $p_int_value) : string`

##### Parameters

$p_int_value : int

  Value/Index to be converted.

##### Tags

since
  1.0-gamma

##### Return values

string —

Value with a leading zero.

#### to_latin()

convert.php : 57

Converts an integer into latin ascii characters, either lower or upper-case.

`private static to_latin(int $p_int_value, bool $p_bool_upper_case) : string`

Function available from A to ZZ ( means 676 footnotes at 1 page possible).

##### Parameters

$p_int_value : int

  Value/Index to be converted.

$p_bool_upper_case : bool

  True to convert the value to upper case letter, otherwise to lower case.

##### Tags

since
  1.0-gamma

##### Return values

string —

#### to_romanic()

convert.php : 106

Converts an integer to a romanic letter.

`private static to_romanic(int $p_int_value, bool $p_bool_upper_case) : string`

##### Parameters

$p_int_value : int

  Value/Index to be converted.

$p_bool_upper_case : bool

  Whether to uppercase.

##### Tags

since
  1.0-gamma
since
  2.2.0

  optionally lowercase (code from Latin)

##### Return values

string —

Edited:

## Search results